- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Basics::ITimedObject Interface Reference

Inheritance diagram for Exponent::GUI::Basics::ITimedObject:

List of all members.

## Detailed Description

Enables a class to recieve timer messages.

Date:
  18/10/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  ITimedObject.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 33 of file ITimedObject.hpp.

## Public Member Functions

- virtual long getTimerId () const=0
- ITimedObject ()
- virtual void timerExpired ()=0
- virtual ~ITimedObject ()

## Constructor & Destructor Documentation

Exponent::GUI::Basics::ITimedObject::ITimedObject | ( |  | ) | `[inline]`

Construction

Definition at line 45 of file ITimedObject.hpp.

virtual Exponent::GUI::Basics::ITimedObject::~ITimedObject | ( |  | ) | `[inline, virtual]`

Destruction

Definition at line 50 of file ITimedObject.hpp.

## Member Function Documentation

virtual long Exponent::GUI::Basics::ITimedObject::getTimerId | ( |  | ) | const`[pure virtual]`

Get the id

Return values:

  | long | The unique Timer id

Note:
  Negative numbers are reserved for system classes. Use positive numbers ONLY!!

Implemented in Exponent::GUI::Controls::CAutoAnimation, and Exponent::GUI::Controls::CRepeatingButton.

virtual void Exponent::GUI::Basics::ITimedObject::timerExpired | ( |  | ) | `[pure virtual]`

Notification of your timer expiring

Implemented in Exponent::GUI::Controls::CAutoAnimation, and Exponent::GUI::Controls::CRepeatingButton.